package com.yuchen.saas.manage.system.api.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @ClassName ParkDataTypeEnum
 * @Description 园区数据类型
 * @Author 肖祥
 * @Date 2022/11/3 11:41
 * @Version 1.0。0
 **/
@Getter
@AllArgsConstructor//类型1是园区建设、2是设备数据3、入驻企业4、车辆数据5、订单数据
public enum ParkDataTypeEnum {

	
	PARK_BUILD(1, "园区建设"),
	DEVICE_DATA(2, "设备数据"),
	ENTER_COMPANY(3, "入驻企业"),
	VEHICLE_DATA(4, "车辆数据"),
	ORDER_DATA(5, "订单数据");

	final Integer type;
	final String name;

	public static ParkDataTypeEnum of(String name) {
		if (name == null) {
			return null;
		}
		ParkDataTypeEnum[] values = ParkDataTypeEnum.values();
		for (ParkDataTypeEnum smsEnum : values) {
			if (smsEnum.name.equals(name)) {
				return smsEnum;
			}
		}
		return null;
	}

}
